Banshee.Base 0.0.0.0 System.Object System.Collections.IEnumerable
- Constructor
  To be added.
  To be added.
- Event
  Banshee.Base.LogCoreUpdatedHandler To be added. To be added.
- Field
  System.Boolean Whether or not logged messages are printed to stdout. To be added.
- Method
  Banshee.Base.LogEntry `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  Banshee.Base.LogEntry `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Banshee.Base.LogEntry `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  Banshee.Base.LogEntry `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Banshee.Base.LogEntry `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  Banshee.Base.LogEntry `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Banshee.Base.LogEntry `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  Banshee.Base.LogEntry `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  Banshee.Base.LogEntry `` The entry that should be added to the message log. Will be shown to the user if needed. Add a to the message log. The given as the parameter. When using one of the static methods on (PushError, PushWarning, PushInformation or PushDebug), Push will be invoked automatically on the newly created .
- Method
  System.Collections.IEnumerator An enumeration of all pushed log messages. To be added. To be added.
- Property
  Banshee.Base.LogCore The LogCore instance. The only possible LogCore instance. LogCore is modelled as a singleton: There can only be one instance of the LogCore class. To obtain this behavior, LogCore has a protected (thus inaccessible) constructor. Retrieving the LogCore instance can be done using this property. For examples on how to use the LogCore, see the general LogCore information: .
LogCore provides internal logging functions, used for error messages and debugging purposes. LogCore is modelled as a singleton. To retreive the LogCore, use the Instance field. `// Simple invokation, adds an information message to // the log and shows it to the user. LogCore.Instance.PushInformation("Important information", "Showing lot's of information boxes can be annoying", true);`